## org.exist.dom
Class StoredDOMImplementation

    java.lang.Object
      org.exist.dom.StoredDOMImplementation

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation

public class StoredDOMImplementation
extends java.lang.Object
implements org.w3c.dom.DOMImplementation

Constructor Summary
`StoredDOMImplementation()`

Method Summary
`org.w3c.dom.Document` `createDocument(java.lang.String arg0, java.lang.String arg1, org.w3c.dom.DocumentType arg2)`
`org.w3c.dom.DocumentType` `createDocumentType(java.lang.String qualifiedName, java.lang.String publicId, java.lang.String systemId)`
`java.lang.Object` `getFeature(java.lang.String feature, java.lang.String arg1)`
`boolean` `hasFeature(java.lang.String feature, java.lang.String version)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoredDOMImplementation

    public StoredDOMImplementation()

Method Detail

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String arg0,
                                               java.lang.String arg1,
                                               org.w3c.dom.DocumentType arg2)
                                        throws org.w3c.dom.DOMException

  Specified by:
    `createDocument` in interface `org.w3c.dom.DOMImplementation`
  Throws:
    `org.w3c.dom.DOMException`

### createDocumentType

    public org.w3c.dom.DocumentType createDocumentType(java.lang.String qualifiedName,
                                                       java.lang.String publicId,
                                                       java.lang.String systemId)
                                                throws org.w3c.dom.DOMException

  Specified by:
    `createDocumentType` in interface `org.w3c.dom.DOMImplementation`
  Throws:
    `org.w3c.dom.DOMException`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String arg1)

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  Specified by:
    `hasFeature` in interface `org.w3c.dom.DOMImplementation`

Copyright (C) Wolfgang Meier. All rights reserved.